%define req_esound_version	0.2.28
%define req_gnomevfs2_version	2.5.3
%define req_libbonobo_version	2.13.0
%define req_libxslt_version	1.0.18
%define api_version	2
%define lib_major	0
%define pkgname     libgnome
%define lib_name	%mklibname gnome %{api_version} %{lib_major}
%define develname %mklibname -d gnome %{api_version}

Summary: GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.22.0
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 1.116.0-2mdk use Mdk default background
Patch1: libgnome-background.patch
# (fc) 2.2.0.1-2mdk Ia Ora as default theme
Patch4: libgnome-defaulttheme.patch
# (fc) 2.19.1-2mdv mark gnome_program_init with sentinel (SUSE)
Patch6: libgnome-sentinel.patch
# (fc) 2.19.1-2mdv fix va_list usage (SUSE)
Patch7: libgnome-2.19.1-va_list.patch
# (fc) 2.19.1-2mdv enable sound server and events by default, remove almost default sound events
Patch8: libgnome-2.19.1-sounds-default.patch

License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libbzip2-devel
BuildRequires: gnome-vfs2-devel >= %{req_gnomevfs2_version}
BuildRequires: esound-devel >= %{req_esound_version}
BuildRequires: libxslt-devel >= %{req_libxslt_version}
BuildRequires: gtk-doc
BuildRequires: libbonobo2_x-devel >= %{req_libbonobo_version}
BuildRequires: perl-XML-Parser

%description
Data files for the GNOME library such as translations.


%package -n %{lib_name}
Summary:	Dynamic libraries for GNOME applications
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
GNOME library contains extra API to let your GNOME applications shine.

%package -n %develname
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Requires:   libgnome-vfs2-devel
Requires:   esound-devel >= %{req_esound_version}
Requires:   libbonobo2_x-devel >= %{req_libbonobo_version}
Obsoletes: %mklibname -d gnome 2 0

%description -n %develname
Static library and headers file
needed in order to develop applications using the GNOME library

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 -b .background
%patch4 -p1 -b .defaulttheme
%patch6 -p1 -b .sentinel
%patch7 -p1 -b .va_list
%patch8 -p1 -b .sound-defaults

%build
%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a} \
  $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{la,a}

%find_lang %{pkgname}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas desktop_gnome_accessibility_keyboard desktop_gnome_accessibility_startup desktop_gnome_applications_at_mobility desktop_gnome_applications_at_visual desktop_gnome_applications_browser desktop_gnome_applications_terminal desktop_gnome_applications_office desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_lockdown desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_thumbnailers desktop_gnome_typing_break

# update default theme on distribution upgrade
%triggerpostun -- libgnome2 < 2.21.90-2mdv
if [ "x$META_CLASS" != "x" ]; then
 case "$META_CLASS" in
  *server) GTK2_THEME="Ia Ora Gray" ;;
  *desktop) GTK2_THEME="Ia Ora Blue" ;;
  *download) GTK2_THEME="Ia Ora Smooth";;
 esac

  if [ "x$GTK2_THEME" != "x" ]; then 
  %{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --type=string --set /desktop/gnome/interface/gtk_theme "$GTK2_THEME" > /dev/null
  fi
fi


%post
if [ ! -d %{_sysconfdir}/gconf/gconf.xml.local-defaults/desktop/gnome/interface -a "x$META_CLASS" != "x" ]; then
 case "$META_CLASS" in
  *server) GTK2_THEME="Ia Ora Gray" ;;
  *desktop) GTK2_THEME="Ia Ora Blue" ;;
  *download) GTK2_THEME="Ia Ora Smooth";;
 esac

  if [ "x$GTK2_THEME" != "x" ]; then 
  %{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --type=string --set /desktop/gnome/interface/gtk_theme "$GTK2_THEME" > /dev/null
  fi
fi

%post_install_gconf_schemas %schemas
if [ ! -f /root/.gconf/desktop/gnome/background/%gconf.xml ]; then
  gconftool-2 --set /desktop/gnome/background/picture_filename --type=string /usr/share/mdk/backgrounds/root/default.png 
  gconftool-2 --set /desktop/gnome/background/picture_options --type=string none
  gconftool-2 --set /desktop/gnome/background/primary_color --type=string "#B20003"
fi

%preun
%preun_uninstall_gconf_schemas %schemas

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%doc NEWS 
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_accessibility_startup.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_mobility.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_at_visual.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_browser.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_office.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_terminal.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_applications_window_manager.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_background.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_file_views.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_interface.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_lockdown.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_mouse.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_sound.schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_thumbnailers.schemas 
%{_sysconfdir}/gconf/schemas/desktop_gnome_typing_break.schemas
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/gnome-open
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*
%{_mandir}/man7/*
%_datadir/gnome-background-properties/gnome-default.xml
%_datadir/pixmaps/backgrounds/gnome/background-default.jpg

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libgnome-%{api_version}.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a




%changelog
* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183565
- new version

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 180165
- new version
- update file list
- update gconf schemas list

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.90-3mdv2008.1
+ Revision: 176514
- Add missing schema registrations

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.90-2mdv2008.1
+ Revision: 176490
- Update patch1 to use transition backgrounds
- Change default theme : Ia Ora Smooth for Free and Ia Ora Blue for One

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159190
- new version
- drop patch 5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.1.1-2mdv2008.1
+ Revision: 121633
- rebuild for new libpopt

* Wed Oct 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.1.1-1mdv2008.1
+ Revision: 99728
- new version
- dro patch 2

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-2mdv2008.1
+ Revision: 99101
- fix for upstream bug #478299 (schema file installation)

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98392
- new version

* Tue Oct 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-5mdv2008.0
+ Revision: 95774
- Fix default theme for desktop (ie One) META_CLASS, ensure trigger is run also for previous broken version of package

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-4mdv2008.0
+ Revision: 90579
- Fix patch1 to apply on correct file

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.0-3mdv2008.0
+ Revision: 89838
- rebuild

* Mon Sep 17 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 89255
- Migrate One system to new Ia Ora One theme

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89122
- new version
- rediff patch 1
- new devel name
- update file list

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-3mdv2008.0
+ Revision: 85666
- Update patch8 with Ia Ora sound theme

* Thu Sep 13 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-2mdv2008.0
+ Revision: 85285
- Patch6 (SUSE): mark gnoem_program_init with sentinel
- Patch7 (SUSE): fix va_list usage
- Patch8: enable sound server and sound events by default, disable all sound events but login and set it to Mandriva one

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 56557
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 41286
- new version
- drop merged patch


* Tue Apr 03 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 150317
- Patch6 (SVN): better set application name, useful for bug-buddy (GNOME bug #424949)

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141784
- new version
- readd ChangeLog
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 119011
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111950
- new version

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 107100
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 106281
- new version

* Tue Dec 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.17.1-3mdv2007.1
+ Revision: 99126
- Remove a11y disabling patch, at-spi is no longer crashing

* Tue Dec 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.17.1-2mdv2007.1
+ Revision: 91303
- Regenerate patch4
- Patch6 : disable a11y for now (GNOME bug #382622)

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 91006
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-1mdv2007.1
+ Revision: 87573
- new version
- unpack patches

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.1
+ Revision: 87543
- Import libgnome2

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- update patch 4
- New release 2.16.0

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-3mdv2007.0
- Update script for orange theme

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-2mdv2007.0
- Update patch4 for Ia Ora theme
- add post script magic to choose theme according to meta_class

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- rediff patch 4
- New release 2.15.2

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- update patch 5
- New release 2.15.1

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0.1-4mdk
- Fortify uninstall script

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0.1-3mdk
- use mkrel

* Thu Nov 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0.1-2mdk
- Rebuild with latest openssl

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0.1-1mdk
- Release 2.12.0.1
- Regenerate patch4 (gotz)

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 based on Gtz Waschk package
- Remove patch 6 (merged upstream)

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.1-2mdk
- varargs fixes for our supported architectures

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk 
- Release 2.8.1

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-4mdk 
- Rebuild with latest howl

* Wed Nov 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-3mdk
- Regenerate patches 1 & 4
- Remove patch2 (merged upsteam)

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Patch5 (Fedora): stat gnome_user_private_dir before doing chmod, for SELinux

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Wed Aug 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.2-1mdk
- Release 2.6.1.2
- Remove patch5 (merged upstream)

* Tue Aug 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-3mdk
- Patch5 (CVS): various fixes, including no sound event (bug #10615)
- Enable libtoolize

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-2mdk
- Fix Buildrequires

* Thu Apr 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- New release 2.6.1.1

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

